QGIS Application - Bug report #10304
IOError: Errno 9 Bad file descriptor
2014-05-19 06:54 AM - Pedro Venancio

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18729
Description

Hi,

I'm getting this error with some SAGA tools. The first time | try to run the tool, it shows this error, but trying again it opens the dialog box.

An error has occured while executing Python code:

Traceback (most recent call last):
File "C:/Users/pedro/.qgis2/python/plugins\\processing\\gui\\ProcessingToolbox.py", line 176, in
executeAlgorithmAsBatchProcess
dlg = BatchProcessingDialog(alg)
File "C:/Users/pedro/.qgis2/python/plugins\\processing\\gui\\BatchProcessingDialog.py", line 64, in __init__
AlgorithmExecutionDialog.__init__(self, alg, self.table)
File "C:/Users/pedro/.qgis2/python/plugins\\processing\\gui\\AlgorithmExecutionDialog.py", line 110, in __init__
isText, help = self.alg.help()
File "C:/Users/pedro/.qgis2/python/plugins\\processing\\algs\\saga\\SagaAlgorithm.py", line 510, in help
name + ".rst'))
File "C:/Users/pedro/.qgis2/python/plugins\\processing\\gui\\Help2Html.py", line 55, in getHtmIFromRstFile
print s
IOError: [Errno 9] Bad file descriptor

Python version:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:
2.2.0-Valmiera Valmiera, c3a2817

An error has occured while executing Python code:

Traceback (most recent call last):

File "C:/Users/pedro/.qgis2/python/plugins\\processing\\gui\\Processing Toolbox.py", line 191, in executeAlgorithm
dig = ParametersDialog(alg)

File "C:/Users/pedro/.qgis2/python/plugins\\processing\\gui\\ParametersDialog.py", line 42, in __init___
AlgorithmExecutionDialog.__init__(self, alg, self.scrollArea)

File "C:/Users/pedro/.qgis2/python/plugins\\processing\\gui\\AlgorithmExecutionDialog.py", line 110, in __init__
isText, help = self.alg.help()

File "C:/Users/pedro/.qgis2/python/plugins\\processing\\algs\\saga\\SagaAlgorithm.py", line 510, in help
name + ".rst'))

File "C:/Users/pedro/.qgis2/python/plugins\\processing\\gui\\Help2Html.py", line 55, in getHtmIFromRstFile
print s
IOError: [Errno 9] Bad file descriptor

Python version:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:
2.2.0-Valmiera Valmiera, c3a2817
This is happening to me on windows, with QGIS 2.2 and SAGA 1.0.8.

On Linux, with QGIS 2.2 and SAGA 2.1.1, this does not happen.

Processing 2.2.0-2

History

#1 - 2014-05-24 01:42 PM - stefano campus

i confirm this behaviour

#2 - 2014-05-26 03:19 PM - Victor Olaya
- Status changed from Open to Closed

The line causing the problem was removed in ef8383a75202a27720f9206c6917a78702e3adc?. This shoudl be already fixed

#3 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
